# CreateInvoicedOneTimeChargeInput

### Fields

#### clientMutationId ([String](/graphql-api/api-reference/objects/string.md))

A unique identifier for the client performing the mutation.

#### subscriptionId ([ID](/graphql-api/api-reference/objects/id.md)!)

ID of the subscription to charge and invoice.

#### description ([String](/graphql-api/api-reference/objects/string.md)!)

Description to put as single invoice line item.

#### amountCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Amount in cents to charge and invoice.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/create-invoiced-one-time-charge-input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
